angular.module('CarApp', ['ngResource','CarApp.service'])

angular.module('CarApp').config(function($routeProvider, $locationProvider) {
  $routeProvider
    .when('/', {controller: 'ListCtrl', templateUrl: '/partials/list.html'}) 
    .when('/edit/:id', {controller: 'EditCtrl', templateUrl: '/partials/details.html'})
    .when('/new', {controller: 'CreateCtrl', templateUrl: '/partials/details.html'})
    .otherwise({redirectTo: '/'})
    $locationProvider.html5Mode(true)
});


angular.module('CarApp').filter('mileage', function() {
  return function(input) {
    return input.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
  }
});

//http://stackoverflow.com/questions/11873570/angularjs-for-loop-with-numbers-ranges
angular.module('CarApp').filter('range', function() {
  return function(input) {
      var lowBound, highBound;
      switch (input.length) {
      case 1:
          lowBound = 0;
          highBound = parseInt(input[0]) - 1;
          break;
      case 2:
          lowBound = parseInt(input[0]);
          highBound = parseInt(input[1]);
          break;
      default:
          return input;
      }
      var result = [];
      for (var i = lowBound; i <= highBound; i++)
          result.push(i);
      return result;
  };
});